--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: TEST_URL
  value: "'https://dev.psigate.com:7989/Messenger/XMLMessenger'"
- !ruby/object:RI::Constant 
  comment: 
  name: LIVE_URL
  value: "'https://secure.psigate.com:7934/Messenger/XMLMessenger'"
- !ruby/object:RI::Constant 
  comment: 
  name: SUCCESS_MESSAGE
  value: "'Success'"
- !ruby/object:RI::Constant 
  comment: 
  name: FAILURE_MESSAGE
  value: "'The transaction was declined'"
full_name: ActiveMerchant::Billing::PsigateGateway
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: authorize
- !ruby/object:RI::MethodSummary 
  name: capture
- !ruby/object:RI::MethodSummary 
  name: credit
- !ruby/object:RI::MethodSummary 
  name: purchase
name: PsigateGateway
superclass: Gateway
